Installation sans internet


#1

Bonjour,

Je souhaite installer ruby on rails sur un réseau n’ayant pas accès à
internet (réseau interne).

J’ai réussi à installer:
Ruby version 1.8.7 (i386-mingw32)
RubyGems version 1.5.2
Rack version 1.2
Rails version 3.0.4

Je ne sais pas si toutes ces versions sont compatibles…

Toujours est il que j’ai galéré pour installer tout ça… Et que lorsque
je lance:

rails generate controller home index

pour créer mon 1er controller j’ai le message d’erreur suivant:

C:/Ruby192/lib/ruby/site_ruby/1.9.1/rubygems.rb:926:in
`report_activate_error’:

Could not find RubyGem rails (>= 0) (Gem::LoadError)
from C:/Ruby192/lib/ruby/site_ruby/1.9.1/rubygems.rb:244:in
activate_de p’
from C:/Ruby192/lib/ruby/site_ruby/1.9.1/rubygems.rb:236:in
activate' from C:/Ruby192/lib/ruby/site_ruby/1.9.1/rubygems.rb:1307:ingem’
from C:/RailsInstaller/Ruby1.8.7/bin/rails:18:in `’

Mais je vois pas ce qui ne va pas…

Si vous avez des idées…

Scaucisson


#2

Ton installation a un problème. Tu dis utiliser Ruby 1.8.7 alors que
dans le message d’erreur c’est Ruby 1.9.2 qui est utilisé.


#3

Hello my dear Friend

This is Kapil with following problem.
I am getting bore because of these installation of ruby, rails, mysql.
and also just getting wastage of time to installation of these
technologies.
there was so problem . i m very bored with facing these problem.
Now i am with following problem . so please you will help me to solve
following problem.
I am waiting for your reply
thanks

kapil@linux-9hy9:~> rails -v
/usr/lib/ruby/site_ruby/1.8/rubygems.rb:926:in report_activate_error': Could not find RubyGem rails (>= 0) (Gem::LoadError) from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:244:inactivate_dep’
from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:236:in activate' from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:1307:ingem’
from /usr/bin/rails:18